//+------------------------------------------------------------------+
//|                                                       testII.mq4 |
//|                                  Copyright  2006, Joo Miranda. |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Joo Miranda."
#property link      ""

//+------------------------------------------------------------------+
//| expert extern decraration variables                              |
//+------------------------------------------------------------------+

extern string Pair=      "EURUSDm";
extern int    MyPeriod = PERIOD_M1;
/*+----------------------------------------------------+
 MyPeriod = Period in minutes to consideration, could be:
 
 Value                                       Constant
 43200 for MN1                               PERIOD_MN1
 10080 for W1                                PERIOD_W1
 1440  for D1                                PERIOD_D1
 240   for H4                                PERIOD_H4
 60    for H1                                PERIOD_H1
 30    for M30                               PERIOD_M30
 15    for M15                               PERIOD_M15
 5     for M5                                PERIOD_M5
 1     for M1                                PERIOD_M1
 0     for Timeframe used on the chart       0
 +-------------------------------------------------------*/

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   CalculateHistoricalHighs();
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+

void CalculateHistoricalHighs()
   {
   int TotalBars=0;
   double Rates[][6];
   double HistoricHigh[11];
   ArrayInitialize (HistoricHigh,0);
   
   TotalBars=ArrayCopyRates(Rates, Pair, MyPeriod);
   
   
   for(int i=TotalBars-2; i>=0; i--)
      {
      HistoricHigh[0]=(Rates[i][3]-Rates[i][1])*10000;
            for (int j = (ArraySize(HistoricHigh)-1) ; j >= 1; j--) if(HistoricHigh[0] == HistoricHigh[j]) HistoricHigh[0]=0;// Varre o array da posio zero  posio mxima dado pelo tamanho total do array menos uma posio.
      ArraySort(HistoricHigh); 
      }
    for (int k = (ArraySize(HistoricHigh)-1) ; k >= 1; k--) 
      {
      if(HistoricHigh[k] == HistoricHigh[k-1]) HistoricHigh[k]=0;
      Print(" ",HistoricHigh[k-1]," ",HistoricHigh[k]," ",k," ");
      }
    ArraySort(HistoricHigh);
    Print(" ",HistoricHigh[0]," ",HistoricHigh[1]," ",HistoricHigh[2]," ",HistoricHigh[3]," ",HistoricHigh[4]," ",HistoricHigh[5]," ",HistoricHigh[6]," ",HistoricHigh[7]," ",HistoricHigh[8]," ",HistoricHigh[9]," ",HistoricHigh[10]," ");

   }